# Uses of Class
org.xnio.Xnio

Packages that use Xnio
Package
Description
org.xnio
The main API package for XNIO.
org.xnio.ssl
Utility classes for using and implementing SSL within XNIO providers.

## Uses of Xnio in org.xnio

Methods in org.xnio that return Xnio
Modifier and Type
Method
Description
`static Xnio`
Xnio.`getInstance()`
Get an XNIO provider instance from XNIO's class loader.
`static Xnio`
Xnio.`getInstance(ClassLoader classLoader)`
Get an XNIO provider instance.
`static Xnio`
Xnio.`getInstance(String provider)`
Get a specific XNIO provider instance from XNIO's class loader.
`static Xnio`
Xnio.`getInstance(String provider, ClassLoader classLoader)`
Get a specific XNIO provider instance.
`Xnio`
XnioProvider.`getInstance()`
Get the XNIO instance for this provider.
`Xnio`
XnioWorker.Builder.`getXnio()`
`Xnio`
XnioWorker.`getXnio()`
Get the XNIO provider which produced this worker.
Constructors in org.xnio with parameters of type Xnio
Modifier
Constructor
Description
`protected`
`Builder(Xnio xnio)`
Construct a new instance.

## Uses of Xnio in org.xnio.ssl

Fields in org.xnio.ssl declared as Xnio
Modifier and Type
Field
Description
`protected final Xnio`
XnioSsl.`xnio`
The corresponding XNIO instance.
Constructors in org.xnio.ssl with parameters of type Xnio
Modifier
Constructor
Description
``
`JsseXnioSsl(Xnio xnio, OptionMap optionMap)`
Construct a new instance.
``
`JsseXnioSsl(Xnio xnio, OptionMap optionMap, SSLContext sslContext)`
Construct a new instance.
`protected`
`XnioSsl(Xnio xnio, SSLContext sslContext, OptionMap optionMap)`
Construct a new instance.